APROPOS(1)

NOME
apropos - procurar nas páginas do manual por nomes e descrições

SINOPSE
apropos [-dalv?V] [-e|-w|-r] [-s lista] [-m sistema[,...]] [-M caminho] [-L idioma] [-C ficheiro] palavra-chave ...

DESCRIÇÃO
 Cada página do manual tem uma breve descrição disponível. apropos procura as descrições para instâncias de palavra-chave palavra-chave é habitualmente uma expressão regular, como se (-r) fosse usada, ou pode conter caracteres universais (-w), ou corresponder à palavra-chave exacta (-e). Usando estas opções, poderá ser necessário usar aspas em palavra-chave ou escapar (\) os caracteres especiais para impedir que a shell os interprete. As regras de comparação padrão permitem que a comparação seja feita contra o nome da página e limites da palavra na descrição. A base de dados procurada por apropos é actualizada pelo programa mandb. Dependendo da sua instalação, pode ser uma tarefa periódica cron ou pode ter de ser manualmente executado após a instalação de novas páginas do manual.

OPÇÕES

-d, --debug
    imprime informação de depuração.

-v, --verbose
    imprime avisos verbosos.

-r, --regex
    Interpreta cada palavra-chave com regex. Esta é a predefinição. Cada palavra-chave será comparada contra os nomes de página e a descrição independentemente. Pode corresponder a qualquer parte de qualquer uma. A comparação não está limitada aos limites da palavra.

-w, --wildcard
    Interpreta cada palavra-chave como um padrão contendo caracteres universais ao estilo da shell. Cada palavra-chave será comparada contra os nomes de página e a descrição independentemente. Se --exact também for usado, só será encontrada uma correspondência se uma palavra-chave expandida corresponder a uma descrição ou nome de página completas. Senão, a palavra-chave também poderá corresponder com limites de palavras na descrição.

-e, --exact
    cada palavra-chave será exactamente comparada contra os nomes de página e as descrições.

-a, --and
    Mostra só itens que cumprem todas as palavras-chave indicadas. A predefinição é mostrar itens que cumpram qualquer palavra-chave.

-l, --long
    não corta a saída para a largura do terminal. Normalmente, isto é feito para evitar resultados muito feios de secções NOME mal escritas.

-s lista, --sections=lista, --section=lista
    procura só as secções do manual indicadas. lista é uma lista de secções separadas por dois-pontos ou vírgula. Se uma entrada em lista for uma secção simples, por exemplo, "3", a lista de descrições mostrada incluirá páginas nas secções "3", "3perl", "3x" e assim por diante; enquanto se uma entrada em lista tiver uma extensão, por exemplo "3perl", a lista incluirá só páginas nessa parte exacta da secção do manual.

-m sistema[,...], --systems=sistema[,...]
    Se o sistema tiver acesso a descrições de páginas do manual de outro sistema operativo, podem ser procuradas usando esta opção. Para procurar descrições de páginas do manual do NovoOS, use a opção -m NovoOS. O sistema especificado pode ser uma combinação de nomes de sistemas operativos delimitados por vírgulas. Para incluir uma procura das descrições whatis do sistema operativo nativo, inclua o nome do sistema man na cadeia de argumentos. Esta opção irá sobrescrever a variável de ambiente $SYSTEM.

-M caminho, --manpath=caminho
    Especifique um conjunto alternativo de hierarquias de páginas de manual delimitadas por dois-pontos para procurar. Por predefinição, apropos usa a variável de ambiente $MANPATH, a menos que esteja vazia ou indefinida, caso em que determinará um manpath apropriado com base na variável de ambiente $PATH. Esta opção sobrescreve o conteúdo de $MANPATH.

-L idioma, --locale=idioma
    O apropos normalmente determinará sua localidade actual por uma chamada à função C setlocale(3), que interroga várias variáveis de ambiente, possivelmente incluindo $LC_MESSAGES e $LANG. Para sobrepor temporariamente o valor determinado, use esta opção para fornecer uma cadeia idioma directamente a apropos. Note que isto não terá efeito até que a procura por páginas realmente comece. Saídas como a mensagem de ajuda serão sempre mostradas no idioma inicialmente determinado.

-C ficheiro, --config-file=ficheiro
    usa este ficheiro do utilizador em vez do predefinido de ~/.manpath.

-?, --help
    mostra uma mensagem de ajuda e sai.

--usage
    mostra uma mensagem curta de uso e sai.

-V, --version
    mostra informação da versão.

ESTADO DE SAÍDA

0   Execução de programa com sucesso.

1   Erro de uso, sintaxe ou ficheiro de configuração.

2   Erro de operação.

16  Nada encontrado que cumpra o critério especificado.

AMBIENTE

SYSTEM
    Se $SYSTEM estiver definido, terá o mesmo efeito como se fosse especificado como argumento da opção -m.

MANPATH
    Se $MANPATH estiver definido, o seu valor é interpretado como caminho de procura delimitado por dois-pontos de hierarquia de páginas do manual a usar.

MANWIDTH
    Se $MANWIDTH estiver definido, o seu valor será usado como largura do terminal (veja a opção --long). Senão, a largura do terminal será calculada usando o valor de $COLUMNS e ioctl(2) se disponível ou retornando a 80 caracteres se tudo o mais falhar.

POSIXLY_CORRECT
    Se $POSIXLY_CORRECT estiver definido, mesmo como valor nulo, a procura predefinida apropos será como uma regex estendida (-r). Hoje em dia, esta é a predefinição de qualquer forma.

FICHEIROS

/usr/share/man/index.(bt|db|dir|pag)
    Uma cache de base de dados de índice global tradicional.

/var/cache/man/index.(bt|db|dir|pag)
    Uma cache de base de dados de índice global de acordo com FHS.

/usr/share/man/.../whatis
    Uma base de dados de texto whatis tradicional

VEJA TAMBÉM
man(1), whatis(1), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).